Set onboarding state
PUT
/config/onboarding
const url = 'https://demo.evcc.io/api/config/onboarding';const options = { method: 'PUT', headers: {cookie: 'auth=<auth>', 'Content-Type': 'application/json'}, body: '{"done":true,"dismissed":["battery"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://demo.evcc.io/api/config/onboarding \ --header 'Content-Type: application/json' \ --cookie auth=<auth> \ --data '{ "done": true, "dismissed": [ "battery" ] }'Setup wizard completion and dismissed setup checklist items.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Setup wizard and checklist state.
object
done
required
Setup wizard was finished or skipped.
boolean
dismissed
required
Dismissed setup checklist items.
Array<string>
Responses
Section titled “Responses”Updated onboarding state
Media typeapplication/json
Setup wizard and checklist state.
object
done
required
Setup wizard was finished or skipped.
boolean
dismissed
required
Dismissed setup checklist items.
Array<string>
Example
{ "dismissed": [ "battery" ]}Invalid item